<?php

namespace EuKit\Base\ViewModels;

use Infomaker\Everyware\Base\Models\Page as PageModel;
use Infomaker\Everyware\Support\GenericPropertyObject;

/**
 * Class PageTemplate
 * @package EuKit\Base
 */
class BasePage extends Page
{
    public function __construct(PageModel $page)
    {
        $propertyObject = new GenericPropertyObject();
        $propertyObject->fill([
            'page' => $page,
            'paramQ' => $this->getQuery(),
            'getPageID' => get_the_ID(),
        ]);

        parent::__construct($propertyObject);
    }

    /**
     * @return array
     */
    public function getQuery()
    {
        return empty($_GET['q']) ? '' : $_GET['q'];
    }
}
